<!DOCTYPE html>
<html>
<head>
	
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title> HTML Tables and Forms</title>


</head>


<body>
	<header>
		<h2>HTML Entities</h2>
	</header>
	<main>
		<section>
			<p>
				<em>Reserved characters in HTML (e.Gg. &lt; or &gt;) that can mix up with HTML codes.</em>

			</p>
		<!-- border attributes defines the Thickness -->
				<table border ="2">
					<!-- this is for the header of of the table  -->
					<thead>
						<!-- tr tags defines a table row -->
						<tr>
							<!-- tg tag defines a table header element -->
							<!-- the colspan attributes changes the amout of columns a table element will occupy  -->
							<th colspan="2">Entity</th>
							<!-- rowspan attribues changes the amout of rows a table element  will occupy  -->
							<th rowspan="2">Description</th>
						</tr>
						<tr>
							<th>symbol</th>
							<th>Name/Number</th>
						</tr>
						
					</thead>


					<!-- this if for the body of the table. -->
					<tbody>
						<!-- this si the first row  -->
						<tr>
							<!-- this is the first colum in the row -->
							<td>&lt;</td>
							<!-- this is the first colum in the row -->
							<td>lt</td>
							<!-- this is the first colum in the row -->
							<td>less than</td>
						</tr>

					<!-- this is the second row  -->
						<tr>
							<td>&gt;</td>
							<td>gt</td>
							<td>greater than</td>

						</tr>

						<!-- this is the Third row -->
						<tr>
							<td>₱</td>
							<td>#8369</td>
							<td>peso sign</td>
						</tr>

						<!-- this is the 4th row -->
						<tr>
							<td>&</td>
							<td>amp</td>
							<td>amperstand</td>

						</tr>
						 <!-- this is the 4th row -->
						 <tr>
						 	<td>"</td>
						 	<td>quot</td>
						 	<td>double quotationmark</td>
						 </tr>

						 <!-- this is the 5th row -->
						 <tr>
						 	<td>'</td>
						 	<td>apos</td>
						 	<td>singel quotaionmark(apostrophe</td>
						 </tr>

						<!-- this is the 6th row -->
						<tr>
							<td>ñ</td>
							<td>ntilde</td>
							<td>Lower Tilde</td>
						</tr>
						<!-- this is the 7th row -->
						<tr>
							<td>Ñ</td>
							<td>Ntilde</td>
							<td>Upper Tilde</td>
						</tr>

					</tbody>

					<!-- tihs if the footer of the table -->
					<tfoot>	
						<th colspan="3">LIST OF HTML entities</th>
					</tfoot>
				</table>
		</section>

		<section>
			<!-- this section is for HTML form -->
			<h2>HTML FORMS</h2>

			<p><em>Input elements that make up a form</em></p>

			<form>
				<!-- Text inputs -->
				<!-- label tag creates a text element that serve as the label for the input field -->
				<!-- type atribute will define waht type of information the input field should be -->
				<!-- for attribute is use with the di attribute in an input element.this allows the user to click the label -->


				<label for="fullname">Full Name</label><br>	
				<input type="text" name="fullname" id="fullname" required><br>	
				<button>Submmit</button>
				<br>

				<label for="birthday">Birth Date</label><br>
				<input type="Date" name="Birthdate" id="birthday"required> <br>
				<button>Submmit</button><br>

			
				<label for="age">Age</label><br>
				<input type="Number" name="Age" id="age" required><br>
				<button>Submmit</button> <br>

				<!-- Dropdwon -->
				<label>Gender:</label> <br>
				<select name="Gender"required>
					<option value="Male">Male</option><br>
					<option value="Female">Female</option>
				</select><br>
				<button>Submit</button><br>


				<!-- Textare -->
				<label>Notes:</label><br>	
				<textarea name="notes" rows="5" cols="5"></textarea> <br>

				<!-- radio button -->
				<label >New User:</label><br>
				<input type="radio" name="new_user" value="Yes" id="yes">
				<label for="yes">Yes</label><br>

				<input type="Radio" name="new_user"	value="No" id="no">
				<label for="no">No</label><br>


				<!-- Checkbox -->
				<label >Role:</label><br>
				<input type="Checkbox" name="role1" id="Developer">
				<label for="Developer">Developer</label><br>


				<input type="Checkbox" name="Role1" id="student">
				<label for="student">Student</label><br>


				<input type="checkbox" name="role3" id="Manager">
				<label for="Manager">Manager</label><br>


				<button>Submit</button><br>
				<button type="reset">Reset</button>
			</form>


		</section>
	</main>
</body>
</html>